Package ghidra.app.util.bin.format.coff

# Class CoffSectionHeaderFlags

java.lang.Object
ghidra.app.util.bin.format.coff.CoffSectionHeaderFlags

public final class CoffSectionHeaderFlags extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `STYP_BSS`
  The section defines uninitialized data.
  `static final long`
  `STYP_COPY`
  Copy segment.
  `static final long`
  `STYP_DATA`
  The section contains only initialized data.
  `static final long`
  `STYP_DEBUG`
  Debug section
  `static final long`
  `STYP_DSECT`
  Dummy section.
  `static final long`
  `STYP_EXCEPT`
  Exception section
  `static final long`
  `STYP_GROUP`
  Group segment.
  `static final long`
  `STYP_INFO`
  Comment section
  `static final long`
  `STYP_LIB`
  Library section
  `static final long`
  `STYP_LOADER`
  Loader section
  `static final long`
  `STYP_NOLOAD`
  No-load segment.
  `static final long`
  `STYP_OVER`
  Overlay section (defines a piece of another named section which has no bytes)
  `static final long`
  `STYP_OVRFLO`
  RLD and line number overflow sec hdr section
  `static final long`
  `STYP_PAD`
  Pad segment.
  `static final long`
  `STYP_REG`
  Regular segment.
  `static final long`
  `STYP_TEXT`
  The section contains only executable code.
  `static final long`
  `STYP_TYPECHK`
  Type check section

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoffSectionHeaderFlags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STYP_REG

    public static final long STYP_REG
    Regular segment.
    See Also:
      - Constant Field Values

  - ### STYP_DSECT

    public static final long STYP_DSECT
    Dummy section.
    See Also:
      - Constant Field Values

  - ### STYP_NOLOAD

    public static final long STYP_NOLOAD
    No-load segment.
    See Also:
      - Constant Field Values

  - ### STYP_GROUP

    public static final long STYP_GROUP
    Group segment.
    See Also:
      - Constant Field Values

  - ### STYP_PAD

    public static final long STYP_PAD
    Pad segment.
    See Also:
      - Constant Field Values

  - ### STYP_COPY

    public static final long STYP_COPY
    Copy segment.
    See Also:
      - Constant Field Values

  - ### STYP_TEXT

    public static final long STYP_TEXT
    The section contains only executable code.
    See Also:
      - Constant Field Values

  - ### STYP_DATA

    public static final long STYP_DATA
    The section contains only initialized data.
    See Also:
      - Constant Field Values

  - ### STYP_BSS

    public static final long STYP_BSS
    The section defines uninitialized data.
    See Also:
      - Constant Field Values

  - ### STYP_EXCEPT

    public static final long STYP_EXCEPT
    Exception section
    See Also:
      - Constant Field Values

  - ### STYP_INFO

    public static final long STYP_INFO
    Comment section
    See Also:
      - Constant Field Values

  - ### STYP_OVER

    public static final long STYP_OVER
    Overlay section (defines a piece of another named section which has no bytes)
    See Also:
      - Constant Field Values

  - ### STYP_LIB

    public static final long STYP_LIB
    Library section
    See Also:
      - Constant Field Values

  - ### STYP_LOADER

    public static final long STYP_LOADER
    Loader section
    See Also:
      - Constant Field Values

  - ### STYP_DEBUG

    public static final long STYP_DEBUG
    Debug section
    See Also:
      - Constant Field Values

  - ### STYP_TYPECHK

    public static final long STYP_TYPECHK
    Type check section
    See Also:
      - Constant Field Values

  - ### STYP_OVRFLO

    public static final long STYP_OVRFLO
    RLD and line number overflow sec hdr section
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CoffSectionHeaderFlags

    public CoffSectionHeaderFlags()